net.sf.statcvs.reports

## Class FileCountTimeLineReport

- java.lang.Object
- - net.sf.statcvs.reports.FileCountTimeLineReport

    public class FileCountTimeLineReport
    extends java.lang.Object

Time line for the number of non-dead files from a specified file list.

Version:
  $Id: FileCountTimeLineReport.java,v 1.6 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak <rcyg@gmx.de>

### Constructor Summary

Constructors
Constructor and Description
`FileCountTimeLineReport(java.util.SortedSet files)` Creates a new file count time line for a specified list of files.

### Method Summary

Methods
`TimeLine` `getTimeLine()` Returns the result time line

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileCountTimeLineReport

    public FileCountTimeLineReport(java.util.SortedSet files)

Creates a new file count time line for a specified list of files.

Parameters:
  `files` - a list of `VersionedFile`s

### Method Detail

#### getTimeLine

    public TimeLine getTimeLine()

Returns the result time line

Returns:
  the result time line